Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519164 - [abrt] gnome-shell: _gdk_wayland_display_get_scaled_cursor_theme(): gnome-shell-extension-prefs killed by SIGABRT
Summary: [abrt] gnome-shell: _gdk_wayland_display_get_scaled_cursor_theme(): gnome-she...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:fea0691af6b5d8e264731b22608...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-30 10:29 UTC by Anders Olsson
Modified: 2018-11-30 18:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 18:41:24 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-30 10:30 UTC, Anders Olsson
no flags Details
File: cgroup (deleted)
2017-11-30 10:30 UTC, Anders Olsson
no flags Details
File: core_backtrace (deleted)
2017-11-30 10:30 UTC, Anders Olsson
no flags Details
File: cpuinfo (deleted)
2017-11-30 10:30 UTC, Anders Olsson
no flags Details
File: dso_list (deleted)
2017-11-30 10:30 UTC, Anders Olsson
no flags Details
File: environ (deleted)
2017-11-30 10:30 UTC, Anders Olsson
no flags Details
File: limits (deleted)
2017-11-30 10:30 UTC, Anders Olsson
no flags Details
File: maps (deleted)
2017-11-30 10:30 UTC, Anders Olsson
no flags Details
File: mountinfo (deleted)
2017-11-30 10:30 UTC, Anders Olsson
no flags Details
File: open_fds (deleted)
2017-11-30 10:30 UTC, Anders Olsson
no flags Details
File: proc_pid_status (deleted)
2017-11-30 10:30 UTC, Anders Olsson
no flags Details

Description Anders Olsson 2017-11-30 10:29:53 UTC
Description of problem:


Version-Release number of selected component:
gnome-shell-3.26.2-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        gnome-shell-extension-prefs TopIcons@phocean.net
crash_function: _gdk_wayland_display_get_scaled_cursor_theme
executable:     /usr/bin/gnome-shell-extension-prefs
journald_cursor: s=1ee297fa83254291aa4c1da5299c4333;i=1ac5b;b=dbb6c886940045c5959ef0f09c70a7ae;m=78391b4e8;t=55f304d4922f3;x=2b3a0efdb7157d58
kernel:         4.13.15-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Anders Olsson 2017-11-30 10:30:00 UTC
Created attachment 1360809 [details]
File: backtrace

Comment 2 Anders Olsson 2017-11-30 10:30:01 UTC
Created attachment 1360810 [details]
File: cgroup

Comment 3 Anders Olsson 2017-11-30 10:30:03 UTC
Created attachment 1360811 [details]
File: core_backtrace

Comment 4 Anders Olsson 2017-11-30 10:30:05 UTC
Created attachment 1360812 [details]
File: cpuinfo

Comment 5 Anders Olsson 2017-11-30 10:30:06 UTC
Created attachment 1360813 [details]
File: dso_list

Comment 6 Anders Olsson 2017-11-30 10:30:08 UTC
Created attachment 1360814 [details]
File: environ

Comment 7 Anders Olsson 2017-11-30 10:30:10 UTC
Created attachment 1360815 [details]
File: limits

Comment 8 Anders Olsson 2017-11-30 10:30:12 UTC
Created attachment 1360816 [details]
File: maps

Comment 9 Anders Olsson 2017-11-30 10:30:13 UTC
Created attachment 1360817 [details]
File: mountinfo

Comment 10 Anders Olsson 2017-11-30 10:30:15 UTC
Created attachment 1360818 [details]
File: open_fds

Comment 11 Anders Olsson 2017-11-30 10:30:16 UTC
Created attachment 1360819 [details]
File: proc_pid_status

Comment 12 Anders Olsson 2017-12-11 13:14:48 UTC
This problem affects all application under Wayland, with constant crashes as result. This is the list of crashes I have in ABRT:
```
id f49faf41e5c6794ac3f324dc808659a3bcf587e6
reason:         _gdk_wayland_display_get_scaled_cursor_theme(): report-gtk killed by SIGABRT
time:           Mon 11 Dec 2017 11:14:23 CET
cmdline:        report-gtk -- /var/spool/abrt/ccpp-2017-12-11-11:00:20.530474-3340
package:        libreport-gtk-2.9.3-1.fc27
uid:            1000 (anders_olsson)
count:          5
Directory:      /var/spool/abrt/ccpp-2017-12-11-11:14:23.279730-6846
Reported:       https://retrace.fedoraproject.org/faf/reports/bthash/167047d6dfc155f2bb59370ba67e83a507b04172

id 3a2843707e6838f156b4829d1171c15b8cbd3694
reason:         _gdk_wayland_display_get_scaled_cursor_theme(): gedit killed by SIGABRT
time:           Mon 04 Dec 2017 15:47:30 CET
cmdline:        /usr/bin/gedit --gapplication-service
package:        gedit-3.22.1-2.fc27
uid:            1000 (anders_olsson)
count:          4
Directory:      /var/spool/abrt/ccpp-2017-12-04-15:47:30.358827-24142
Reported:       https://retrace.fedoraproject.org/faf/reports/bthash/719a06f3f4e9fc5b4d48314151e9c0202f42b372

id 14b3b0a5c4b821cb2e463e2e478e9543991d706d
reason:         _gdk_wayland_display_get_scaled_cursor_theme(): python3.6 killed by SIGABRT
time:           Mon 11 Dec 2017 11:00:20 CET
cmdline:        /usr/bin/python3 /usr/bin/dnfdragora
package:        dnfdragora-1.0.1-6.git20170505.2a3b056.fc27
uid:            1000 (anders_olsson)
count:          2
Directory:      /var/spool/abrt/ccpp-2017-12-11-11:00:20.530474-3340
Reported:       https://retrace.fedoraproject.org/faf/reports/bthash/63ba413f2e48d1caa1a7ab8b8dca75796c2c1654

id 583bba7600d2df5d3d5cb5016dd32adb9ba65cc3
reason:         _gdk_wayland_display_get_scaled_cursor_theme(): gnome-control-center killed by SIGABRT
time:           Mon 11 Dec 2017 11:02:13 CET
cmdline:        gnome-control-center --overview
package:        control-center-3.26.2-2.fc27
uid:            1000 (anders_olsson)
count:          1
Directory:      /var/spool/abrt/ccpp-2017-12-11-11:02:13.472774-3669
Reported:       https://retrace.fedoraproject.org/faf/reports/bthash/c3d3c48b1773f98753537164108552e77d6e6a27

id 6cc72fc51dd7203eda0e8bb1d14d415aed8d1955
reason:         _gdk_wayland_display_get_scaled_cursor_theme(): python3.6 killed by SIGABRT
time:           Mon 11 Dec 2017 11:00:10 CET
cmdline:        /usr/bin/python3 /usr/bin/dnfdragora
package:        dnfdragora-1.0.1-6.git20170505.2a3b056.fc27
uid:            1000 (anders_olsson)
count:          1
Directory:      /var/spool/abrt/ccpp-2017-12-11-11:00:10.530212-3123
Reported:       https://retrace.fedoraproject.org/faf/reports/bthash/36e5be799483a6dabcfc240339d13c4ef7d01044
                https://bugzilla.redhat.com/show_bug.cgi?id=1524351

id ee53c2274479ef6bd526aca4df5254008f96541a
reason:         _gdk_wayland_display_get_scaled_cursor_theme(): gcr-viewer killed by SIGABRT
time:           Mon 04 Dec 2017 15:27:03 CET
cmdline:        /usr/bin/gcr-viewer /run/media/anders_olsson/500GB/Ubuntu-BU/home/.ssh/id_rsa
package:        gcr-3.20.0-6.fc27
uid:            1000 (anders_olsson)
count:          1
Directory:      /var/spool/abrt/ccpp-2017-12-04-15:27:03.697151-22064
Reported:       https://retrace.fedoraproject.org/faf/reports/bthash/fc9ad6cf05ec0aabf4461c66d9135497fabde2de
```

I managed to submit another app crashing because of this: https://bugzilla.redhat.com/show_bug.cgi?id=1524351


The logs are filled up with ```Dec 11 14:09:02 localhost.localdomain gnome-terminal-[3498]: gdkcursor-wayland.c:302: cursor theme size 3 too large```, sometimes 10-20 every second.

I've not changed any cursor theme since installation. I've tried decreasing the cursor size in Dconf, and changing theme in Tweak Tool, to no avail.

Comment 13 Ben Cotton 2018-11-27 17:52:38 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2018-11-30 18:41:24 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.